LINUX.ORG.RU

ValueError: Namespace Gdk not available

 , ,


0

1

При запуске такая ошибка

$ bcloud-gui 
Traceback (most recent call last):
  File "/usr/bin/bcloud-gui", line 11, in <module>
    from bcloud.App import App
  File "/usr/lib64/python3.5/site-packages/bcloud/App.py", line 12, in <module>
    gi.require_version('Gdk', '3.0')
  File "/usr/lib64/python3.5/site-packages/gi/__init__.py", line 102, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gdk not available
Как починить?

Покажи с какими флагами и какой версии поставлен пакет x11-libs/gtk+. А именно, есть ли там флаг introspection

vertexua ★★★★★ ()
Последнее исправление: vertexua (всего исправлений: 1)

когда уже закончится переезд на Gi. посмотри на флаги и всякие PYTHON_TARGETS dev-python/pygobject

deity ★★★★ ()
Последнее исправление: deity (всего исправлений: 1)
Ответ на: комментарий от Pinkbyte

ну на стейбле должно работать:

import gi
gi.require_version('Gdk', '3.0'
какая разница откуда пакет, а всякие PYTHON_* я в них все время путаюсь

deity ★★★★ ()
Последнее исправление: deity (всего исправлений: 1)
Ответ на: комментарий от deity

какая разница откуда пакет

Если он поставлен через жопу - большая. А определить черезжопность можно глянув на ебилд, например

Pinkbyte ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.